/// <reference types="node" />
import { Context, Schema, Service } from "koishi";
import * as echarts from "echarts";
export declare const name = "echarts";
declare module "koishi" {
    interface Context {
        echarts: ECharts;
    }
}
export declare class ECharts extends Service {
    config: ECharts.Config;
    createChart(width: number, height: number, options: echarts.EChartsOption): Promise<Buffer>;
    constructor(ctx: Context, config: ECharts.Config);
}
export default ECharts;
export declare namespace ECharts {
    interface Config {
        width: number;
        height: number;
    }
    const Config: Schema<Config>;
}
